"use strict";
var common_vendor = require("../../common/vendor.js");
var api = require("../../api.js");
const uniIcons = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-icons/uni-icons.js";
const _sfc_main = {
  components: { uniIcons },
  data() {
    return {
      phone: {},
      firmwareCount: 0,
      firmwareGroups: [],
      showDownloadModal: false,
      currentFirmware: null
    };
  },
  methods: {
    goBack() {
      common_vendor.index.navigateBack();
    },
    toggleGroup(idx) {
      this.firmwareGroups[idx].open = !this.firmwareGroups[idx].open;
      this.$forceUpdate();
    },
    openDownloadModal(fw) {
      this.currentFirmware = fw;
      this.showDownloadModal = true;
    },
    closeDownloadModal() {
      this.showDownloadModal = false;
      this.currentFirmware = null;
    },
    copyUrl(url) {
      common_vendor.index.request({
        url: api.api.baseUrl + "/api/index/isad",
        method: "GET",
        success: (res) => {
          const data = res.data.data || {};
          if (data.isad === 1) {
            if (!data.adUnitId) {
              common_vendor.index.showToast({ title: "\u6682\u65E0\u5E7F\u544A\u4F4D\uFF0C\u65E0\u6CD5\u89C2\u770B\u5E7F\u544A", icon: "none" });
              return;
            }
            common_vendor.index.showModal({
              title: "\u6E29\u99A8\u63D0\u793A",
              content: "\u62B1\u6B49\uFF01\u8BE5\u529F\u80FD\u5728\u89C2\u770B\u5B8C\u6FC0\u52B1\u89C6\u9891\u540E\u65B9\u53EF\u590D\u5236\u4E0B\u8F7D\u94FE\u63A5\uFF0C\u611F\u8C22\u60A8\u7684\u652F\u6301\u3002",
              confirmText: "\u89C2\u770B",
              confirmColor: "#5ac725",
              success: (modalRes) => {
                if (modalRes.confirm) {
                  let videoAd = null;
                  if (wx.createRewardedVideoAd) {
                    videoAd = wx.createRewardedVideoAd({
                      adUnitId: data.adUnitId
                    });
                    videoAd.onLoad(() => {
                    });
                    videoAd.onError((err) => {
                      common_vendor.index.showToast({ title: "\u5E7F\u544A\u52A0\u8F7D\u5931\u8D25", icon: "none" });
                    });
                    videoAd.onClose((adRes) => {
                      if (adRes && adRes.isEnded) {
                        common_vendor.index.setClipboardData({
                          data: url,
                          success: () => {
                            common_vendor.index.showToast({ title: "\u5DF2\u590D\u5236", icon: "none" });
                          }
                        });
                      } else {
                        common_vendor.index.showToast({ title: "\u62B1\u6B49\uFF01\u60A8\u89C2\u770B\u89C6\u9891\u4E2D\u9014\u9000\u51FA\u65E0\u6CD5\u83B7\u53D6\u5956\u52B1", icon: "none" });
                      }
                    });
                    videoAd.show().catch(() => {
                      videoAd.load().then(() => videoAd.show()).catch(() => {
                        common_vendor.index.showToast({ title: "\u6FC0\u52B1\u89C6\u9891 \u5E7F\u544A\u663E\u793A\u5931\u8D25", icon: "none" });
                      });
                    });
                  }
                } else {
                  common_vendor.index.showToast({ title: "\u5DF2\u53D6\u6D88\u89C2\u770B", icon: "none" });
                }
              }
            });
          } else {
            common_vendor.index.setClipboardData({
              data: url,
              success: () => {
                common_vendor.index.showToast({ title: "\u5DF2\u590D\u5236", icon: "none" });
              }
            });
          }
        },
        fail: (err) => {
          common_vendor.index.showToast({ title: "\u7F51\u7EDC\u9519\u8BEF", icon: "none" });
        }
      });
    },
    getJsonList(str) {
      if (!str)
        return [];
      try {
        const obj = JSON.parse(str);
        if (obj && typeof obj === "object" && !Array.isArray(obj)) {
          return Object.keys(obj).map((key) => ({ name: key, url: obj[key] }));
        }
        if (Array.isArray(obj)) {
          return obj.map((item) => typeof item === "string" ? { name: item, url: item } : item);
        }
        return [];
      } catch (e) {
        return [];
      }
    }
  },
  onLoad(options) {
    const device_id = options.device_id;
    common_vendor.index.request({
      url: api.api.baseUrl + "/api/index/firmware",
      method: "GET",
      data: { device_id },
      success: (res) => {
        if (res.data.code === 1) {
          const { phone, firmwareCount, firmwareGroups } = res.data.data;
          this.phone = phone;
          this.firmwareCount = firmwareCount;
          this.firmwareGroups = firmwareGroups;
        }
      },
      fail: (err) => {
        console.error("\u56FA\u4EF6\u63A5\u53E3\u8BF7\u6C42\u5931\u8D25\uFF1A", err);
      }
    });
  }
};
if (!Array) {
  const _component_uni_icons = common_vendor.resolveComponent("uni-icons");
  _component_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  var _a, _b, _c, _d, _e, _f, _g;
  return common_vendor.e({
    a: common_vendor.p({
      type: "phone-filled",
      color: "#fff",
      size: "28"
    }),
    b: common_vendor.t($data.phone.name),
    c: common_vendor.t($data.phone.model),
    d: common_vendor.t($data.firmwareCount),
    e: common_vendor.f($data.firmwareGroups, (group, gidx, i0) => {
      return {
        a: common_vendor.t(group.title),
        b: "7af22420-1-" + i0,
        c: common_vendor.p({
          type: group.open ? "top" : "bottom",
          color: "#bbb",
          size: "22"
        }),
        d: common_vendor.o(($event) => $options.toggleGroup(gidx)),
        e: common_vendor.f(group.list, (fw, fidx, i1) => {
          return {
            a: common_vendor.t(fw.version),
            b: "7af22420-2-" + i0 + "-" + i1,
            c: "7af22420-3-" + i0 + "-" + i1,
            d: common_vendor.t(fw.date),
            e: "7af22420-4-" + i0 + "-" + i1,
            f: common_vendor.t(fw.android),
            g: common_vendor.f(fw.tags, (tag, tidx, i2) => {
              return {
                a: "7af22420-5-" + i0 + "-" + i1 + "-" + i2,
                b: common_vendor.p({
                  type: tag === 1 ? "checkmarkempty" : "closeempty",
                  color: tag === 1 ? "#2566e8" : "#999",
                  size: "18"
                }),
                c: common_vendor.t(tag === 1 ? "\u5361\u5237\u5305" : "\u7EBF\u5237\u5305"),
                d: tag !== 1 ? 1 : "",
                e: tidx
              };
            }),
            h: fidx,
            i: common_vendor.o(($event) => $options.openDownloadModal(fw), fidx)
          };
        }),
        f: group.open,
        g: gidx
      };
    }),
    f: common_vendor.p({
      type: "arrowright",
      color: "#bbb",
      size: "22"
    }),
    g: common_vendor.p({
      type: "calendar",
      color: "#2566e8",
      size: "18"
    }),
    h: common_vendor.p({
      type: "compose",
      color: "#2566e8",
      size: "18"
    }),
    i: $data.showDownloadModal
  }, $data.showDownloadModal ? common_vendor.e({
    j: common_vendor.t((_a = $data.currentFirmware) == null ? void 0 : _a.version),
    k: $options.getJsonList((_b = $data.currentFirmware) == null ? void 0 : _b.kajson).length
  }, $options.getJsonList((_c = $data.currentFirmware) == null ? void 0 : _c.kajson).length ? {
    l: common_vendor.f($options.getJsonList((_d = $data.currentFirmware) == null ? void 0 : _d.kajson), (item, idx, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: "ka" + idx,
        c: common_vendor.o(($event) => $options.copyUrl(item.url), "ka" + idx)
      };
    })
  } : {}, {
    m: $options.getJsonList((_e = $data.currentFirmware) == null ? void 0 : _e.xianjson).length
  }, $options.getJsonList((_f = $data.currentFirmware) == null ? void 0 : _f.xianjson).length ? {
    n: common_vendor.f($options.getJsonList((_g = $data.currentFirmware) == null ? void 0 : _g.xianjson), (item, idx, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: "xian" + idx,
        c: common_vendor.o(($event) => $options.copyUrl(item.url), "xian" + idx)
      };
    })
  } : {}, {
    o: common_vendor.o(() => {
    }),
    p: common_vendor.o((...args) => $options.closeDownloadModal && $options.closeDownloadModal(...args))
  }) : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/uniapp/hyper/pages/detail/detail.vue"]]);
wx.createPage(MiniProgramPage);
