"use strict";
var common_vendor = require("../../common/vendor.js");
var api = require("../../api.js");
const _sfc_main = {
  data() {
    return {
      keyword: "",
      phones: []
    };
  },
  computed: {
    filteredPhones() {
      if (!this.keyword)
        return this.phones;
      return this.phones.filter((phone) => phone.name.toLowerCase().includes(this.keyword.toLowerCase()) || phone.code.toLowerCase().includes(this.keyword.toLowerCase()));
    }
  },
  onLoad() {
    this.getPhoneList();
  },
  methods: {
    getPhoneList() {
      common_vendor.index.request({
        url: api.api.baseUrl + "/api/index/index",
        method: "GET",
        success: (res) => {
          if (res.data.code === 1) {
            this.phones = res.data.data;
          }
        },
        fail: (err) => {
          console.error("\u83B7\u53D6\u624B\u673A\u5217\u8868\u5931\u8D25\uFF1A", err);
        }
      });
    },
    onCardTap(phone) {
      common_vendor.index.navigateTo({
        url: `/pages/detail/detail?device_id=${phone.id}`
      });
    },
    toggleSearch() {
      this.searchCollapsed = !this.searchCollapsed;
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.keyword,
    b: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    c: common_vendor.f($options.filteredPhones, (phone, index, i0) => {
      return {
        a: phone.image,
        b: common_vendor.t(phone.name),
        c: common_vendor.t(phone.code),
        d: phone.id,
        e: common_vendor.o(($event) => $options.onCardTap(phone), phone.id)
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/uniapp/hyper/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
